Draft PolareAnordnung

From FreeCAD Documentation
Revision as of 16:47, 11 May 2020 by Maker (talk | contribs) (Created page with "{{Docnav/de |Entwurf zu Skizze |PfadAnordnung |Entwurf Arbeitsbereich |IconL=Draft_Draft2Sketch.svg |IconC...")

Draft PolarAnordnung

Menüeintrag
Entwurf → Polare Anordnung
Arbeitsbereich
Entwurf
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Anordnung, KreisAnordnung, PfadAnordnung, Punkt Anordnung, Klonen

Beschreibung

Das Entwurf PolarAnordnung Werkzeug erstellt eine Anordnung aus einem ausgewählten Objekt und platziert die Kopien entlang eines Umfangs.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit dem Entwurf Arbeitsbereich erstellt wurden, aber auch für viele Arten von 3D Objekten, wie sie mit der Part Arbeitsbereich oder PartDesign Arbeitsbereich erstellt wurden.

Zum Positionieren von Kopien in einem rechteckigen Raster verwende Array; zum Positionieren in einem kreisförmigen Muster verwende KreisAnordnung; um Kopien entlang eines Pfades zu positionieren, verwende PfadAnordnung; um Kopien an bestimmten Punkten zu positionieren, verwende PunktAnordnung; um Kopien oder Klone zu erstellen und manuell zu platzieren, verwende Bewegen, Drehen und Klonen.

Eine polar Anordnung eines Objekts.

Verwendung

  1. Wähleein Objekt aus, von dem du die Polaranordnung erstellen möchtest.
  2. Drücke die Polar Anordnung Schaltfläche. Wenn kein Objekt ausgewählt ist, wird das Aufgabenpaneel geöffnet, aber du musst trotzdem ein Objekt auswählen, um fortzufahren.
  3. Wähle den Polarwinkel, der bestimmt, wo sich das letzte Element der Anordnung befindet.
  4. Wähle die Anzahl der Elemente in der Anordnung. Minimum von 2, Maximum von 99.
  5. Wähle das Zentrum der Rotationsachse. Du kannst auf die 3D Ansicht klicken, um gleichzeitig die Position des Rotationszentrums festzulegen und den Befehl abzuschließen.
  6. Optional hake die verschmelzungs- oder Verknüpfungsoptionen an.
  7. Drücke OK, um den Befehl abzuschließen.

Hinweise:

  • Standardmäßig ist die Rotationsachse die positive Z Achse (0, 0, 1). Dies kann im Eigenschaftseditor geändert werden, nachdem das Objekt erzeugt wurde.
  • Der Polarwinkel ist positiv im Gegenuhrzeigersinn und negativ im Uhrzeigersinn.
  • Jedes Element in der Anordnung ist ein exakter Klon des ursprünglichen Objekts, aber die gesamte Anordnung wird in Bezug auf Eigenschaften und Aussehen als eine Einheit betrachtet.
  • Mit diesem Befehl wird dasselbe Objekt erstellt, das mit den Anordnung und KreisAnordnung Werkzeugen erstellt wurde. Daher kann die Anordnung einfach durch Ändern seiner Eigenschaften in orthogonal, polar oder zirkular umgewandelt werden.

Optionen

  • Press Reset point to set the center of rotation to the origin (0, 0, 0).
  • If the Fuse checkbox is ticked, the resulting objects in the array will be fused into a single shape, if they touch or intersect each other.
  • If the Use Links checkbox is ticked, the resulting objects in the array will be App Links instead of simple copies. This improves the memory usage of the array, as the App Link re-uses the shape of the original object, and does not create new shapes. If this option is used, the Fuse checkbox has no effect.
  • Press Esc or the Cancel button to abort the current command.

Properties

An Array object is based on Part Feature (Part::Feature class), and thus shares all properties of the latter. In addition to the properties listed in Part Feature, the Array object has additional properties.

See the OrthoArray tool for the complete information.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array_list = make_polar_array(obj, center, angle, number, use_link)
  • Creates an array from the objects contained in obj, which can be a single object or a list of objects.
  • The value of center is a vector that defines the center of the array circle; angle is the angle of the arc in degrees, and number is the number of copies in the polar pattern, including the original object.
  • If use_link is true the created copies will be App Links and not regular copies.
  • array_list is returned with the new copies.
    • array_list is either a single object or a list of objects, depending on the input obj.

Beispiel:

import FreeCAD as App
import Draft
import draftobjects.polararray as pa

doc = App.newDocument()

tri = Draft.makePolygon(3, 600)
center = App.Vector(-1600, 0, 0)
arr = pa.make_polar_array(tri, center, 270, 8)
App.ActiveDocument.recompute()